NppiRect Struct Reference
NPP Type Definitions and Constants

2D Rectangle This struct contains position and size information of a rectangle in two space. More...

`#include <nppdefs.h>`

## Data Fields

int | x
| x-coordinate of upper left corner (lowest memory address). More...
int | y
| y-coordinate of upper left corner (lowest memory address). More...
int | width
| Rectangle width. More...
int | height
| Rectangle height. More...

## Detailed Description

2D Rectangle This struct contains position and size information of a rectangle in two space.

The rectangle's position is usually signified by the coordinate of its upper-left corner.

## Field Documentation

int NppiRect::height

Rectangle height.

int NppiRect::width

Rectangle width.

int NppiRect::x

x-coordinate of upper left corner (lowest memory address).

int NppiRect::y

y-coordinate of upper left corner (lowest memory address).

The documentation for this struct was generated from the following file:

- C:/src/sw/rel/gpgpu/toolkit/r10.0/NPP/npp/include/nppdefs.h

Copyright © 2009-2017 NVIDIA Corporation